.switch {
  position: relative;
  min-width: 320px;

  &:hover {
    .switch__switcher {
      border-color: @blue-condensed;

      &:after {
        background-color: @blue-condensed;
      }
    }
  }
  
  &:active {
    .switch__switcher {
      border-color: @blue-condensed;

      &:after {
        background-color: @blue-condensed;
      }
    }
  }

  // инпут
  &__input {
    display: inline-block;
    vertical-align: top;
  }

  // надпись
  &__label {
    display: inline-block;
    vertical-align: top;
    text-align: left;
    .trz;
    cursor: pointer;
    .dark-blue-link;
    color: @dark_condensed;
  }


  &:not(#f00) {
    input.switch__input {
      opacity: 0;
      position: absolute;
      visibility: hidden;

      & + .switch__label {
        // min-width: 200px;
        .trz;
      }
    }

    // переключатель
    .switch__switcher {
      display: inline-block;
      vertical-align: top;
      width: 54px;
      margin: 0 9px;
      height: 22px;
      border: 2px solid @blue;
      border-radius: 16px;
      cursor: pointer;
      position: relative;
      top: 1px;
      .trz;

      &:after {
        content: "";
        position: absolute;
        width: 8px;
        height: 8px;
        border-radius: 8px;
        background-color: @blue;
        top: 5px;
        left: 35px; // 50-7-8 = 35
        .trz(all, .3s);
        animation-timing-function: ease-in-out;
      }
    }

    // input.switch__input--main + .switch__label {
    //   text-align: right;
    // }

    input.switch__input--main:checked ~ .switch__switcher:after {
      left: 7px;
    }
  }
}
// ==============
// !!RESPONSIVE!!
// ==============
//      DESK
// ==============
// @media (min-width: @screen-sm-min) {
// 
// }
// ==============
//     MOBILE
// ==============
@media (max-width: @screen-xs-max) {
  .switch {
    font-size: 14px;

    &__switcher {
      top: 0;

      &:after {
        top: 4px;
      }
    }
  }
}